org.wso2.carbon.device.mgt.iot.virtualfirealarm.service.impl.util

## Class ZipUtil

- java.lang.Object
- - org.wso2.carbon.device.mgt.iot.virtualfirealarm.service.impl.util.ZipUtil

-     public class ZipUtil
      extends Object

  This is used to create a zip file that includes the necessary configuration required for the agent.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HOST_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZipUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ZipArchive` | `createZipFile(String owner, String deviceType, String deviceId, String deviceName, String apiApplicationKey, String token, String refreshToken)`
    `static String` | `getServerUrl()`
    `static ZipArchive` | `getSketchArchive(String archivesPath, String templateSketchPath, Map contextParams, String zipFileName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HOST_NAME

          public static final String HOST_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ZipUtil

          public ZipUtil()

  - ### Method Detail

    - #### createZipFile

          public ZipArchive createZipFile(String owner,
                                 String deviceType,
                                 String deviceId,
                                 String deviceName,
                                 String apiApplicationKey,
                                 String token,
                                 String refreshToken)
                                   throws org.wso2.carbon.device.mgt.common.DeviceManagementException

      Throws:
        `org.wso2.carbon.device.mgt.common.DeviceManagementException`

    - #### getServerUrl

          public static String getServerUrl()

    - #### getSketchArchive

          public static ZipArchive getSketchArchive(String archivesPath,
                                    String templateSketchPath,
                                    Map contextParams,
                                    String zipFileName)
                                             throws org.wso2.carbon.device.mgt.common.DeviceManagementException,
                                                    IOException

      Throws:
        `org.wso2.carbon.device.mgt.common.DeviceManagementException`
        `IOException`

Copyright © 2017 WSO2. All rights reserved.